glab(1)

NAME
glab-stack-sync - Sync and submit progress on a stacked diff. (EXPERIMENTAL)

SYNOPSIS
glab stack sync [flags]

DESCRIPTION
Sync and submit progress on a stacked diff. This command runs these steps:

1.  Optional. If working in a fork, select whether to push to the fork, or the upstream repository.

2.  Pushes any amended changes to their merge requests.

3.  Rebases any changes that happened previously in the stack.

4.  Removes any branches that were already merged, or with a closed merge request.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
--no-verify[=false]
    Bypass the pre-push hook. (See githooks(5) for more information.)

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    $ glab stack sync
    $ glab stack sync --no-verify

SEE ALSO
glab-stack(1)